> For the complete documentation index, see [llms.txt](https://docs.toucan.earth/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toucan.earth/developers/tools-+-examples/integration-examples.md).

# Integration examples

If you're looking for examples of how to build on top of our protocol, you can find them here.

### Toucan-made examples

The example implementations repo, as of right now, contains all of the Toucan-made integrations. You can find them [here](https://github.com/ToucanProtocol/example-implementations).

### External examples

[Senken](https://app.senken.io/projects) provides an excellent example of a marketplace application that shows the contents of different carbon pools. This use case would leverage the [`fetchPoolContents`](/developers/sdk/subgraph-interactions.md#fetchpoolcontents) method available via the SDK.

If you'd like to see an example of a carbonised NFT (NFT that sequesters carbon offsets), we think Celostrials are a great example. You can find them [here](https://github.com/Celostrials).

If you want to see an example of an offseting dApp, the flight offsetter from Discarbon is a cool example. You can find it [here](https://flight.discarbon.earth/).

### More ideas

You want to play around? Here are some more ideas!

* On-chain portfolio management attached to reporting and marketing tools! *Quickbooks for on-chain carbon*
* Seamless carbon retirement (with web2 user experience) while leveraging the possibility of fractionalization and transparency made possible through Toucan's tool.
* Carbon credit options markets and pool arbitrage (where community can deposit the credits)
* Launchpad for new carbon projects that use current carbon credits to finance them (trade in NCT now to get the project specific credit in the future).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.toucan.earth/developers/tools-+-examples/integration-examples.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
